Last Comment Bug 613198 - Changing the "No Proxy for" list UI from a textbox to a textarea
: Changing the "No Proxy for" list UI from a textbox to a textarea
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1b2
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks: 783600
  Show dependency treegraph
 
Reported: 2010-11-18 06:54 PST by Edmund Wong (:ewong)
Modified: 2012-08-17 10:17 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Changed the No Proxy textbox to multiline textbox. (655 bytes, patch)
2011-01-06 23:58 PST, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Splinter Review
Changed the No Proxy textbox to multiline textbox. (916 bytes, patch)
2011-01-10 21:05 PST, Edmund Wong (:ewong)
ewong: review+
Details | Diff | Splinter Review
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox (941 bytes, patch)
2011-01-11 03:51 PST, Edmund Wong (:ewong)
ewong: review+
neil: ui‑review+
Details | Diff | Splinter Review
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox [Checkin: comment 13] (940 bytes, patch)
2011-01-11 04:03 PST, Edmund Wong (:ewong)
ewong: review+
ewong: ui‑review+
Details | Diff | Splinter Review

Description Edmund Wong (:ewong) 2010-11-18 06:54:19 PST
Currently, both in 2.0.10 and 2.1b2pre the "No Proxy" list is a textbox widget.  That being the case, entering more than 4 or 5 hosts (depending on length
of each host name) it will need scrolling.   

Changing this to a textarea will allow the user the ability to easily
view the previous host entries.  

Right now, the 'no proxy for' list is a comma-delimited entry. Optionally 
changing the format of the entries to a line based entry might be easier 
on the eyes.
Comment 1 Ian Neal 2010-11-18 17:01:12 PST
textarea sounds promising but I'd keep with comma-delimited entries.
Comment 2 Edmund Wong (:ewong) 2011-01-06 23:58:36 PST
Created attachment 501936 [details] [diff] [review]
Changed the No Proxy textbox to multiline textbox.
Comment 3 Ian Neal 2011-01-07 08:45:52 PST
Comment on attachment 501936 [details] [diff] [review]
Changed the No Proxy textbox to multiline textbox.

Looks good to me, I don't think it has any css or os x implications, so should be ready to checkin.
Comment 4 neil@parkwaycc.co.uk 2011-01-08 07:55:57 PST
I'm not 100% convinced by the alignment of the label:
              +-------------------------------------+
              |localhost, 127.0.0.1                 |
No Proxy For: |                                     |
              |                                     |
              +-------------------------------------+
<row align="baseline"> seems to give a more pleasing effect. Ian?

[Note to self: access keys on the labels aren't working?]
Comment 5 neil@parkwaycc.co.uk 2011-01-08 15:19:32 PST
(In reply to comment #4)
> [Note to self: access keys on the labels aren't working?]
[Buggy build. Three other builds are OK.]
Comment 6 Ian Neal 2011-01-10 02:36:21 PST
(In reply to comment #4)
> I'm not 100% convinced by the alignment of the label:
>               +-------------------------------------+
>               |localhost, 127.0.0.1                 |
> No Proxy For: |                                     |
>               |                                     |
>               +-------------------------------------+
> <row align="baseline"> seems to give a more pleasing effect. Ian?
Agreed.
Comment 7 Edmund Wong (:ewong) 2011-01-10 21:05:45 PST
Created attachment 502725 [details] [diff] [review]
Changed the No Proxy textbox to multiline textbox.

Changed align="center" to align="baseline" as per comment #5.
Comment 8 neil@parkwaycc.co.uk 2011-01-11 02:13:31 PST
(In reply to comment #7)
> Created attachment 502725 [details] [diff] [review]
> Changed the No Proxy textbox to multiline textbox.
> 
> Changed align="center" to align="baseline" as per comment #5.

Actually comment #5 said <row align="baseline"> ...
Comment 9 neil@parkwaycc.co.uk 2011-01-11 03:47:31 PST
Sorry, I forgot to describe the effect I was looking for, which is this:
              +-------------------------------------+
No Proxy For: |localhost, 127.0.0.1                 |
              |                                     |
              |                                     |
              +-------------------------------------+
Comment 10 Edmund Wong (:ewong) 2011-01-11 03:51:29 PST
Created attachment 502765 [details] [diff] [review]
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox
Comment 11 neil@parkwaycc.co.uk 2011-01-11 03:55:14 PST
Comment on attachment 502765 [details] [diff] [review]
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox

>-            <row align="center"> 
>+            <row align="baseline"> 
Nit: As you're changing this line anyway, you could remove the trailing space.
Comment 12 Edmund Wong (:ewong) 2011-01-11 04:03:11 PST
Created attachment 502768 [details] [diff] [review]
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox [Checkin: comment 13]

Fixed trailing space nit.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2011-01-11 13:08:08 PST
Comment on attachment 502768 [details] [diff] [review]
Changed the "No Proxy for" list UI from a single line textbox to a multiline textbox [Checkin: comment 13]

http://hg.mozilla.org/comm-central/rev/533a76b1095a

Note You need to log in before you can comment on or make changes to this bug.